# test.pro : Self test for the TiffIO plugin.
#
# $Id: demo.pro,v 1.9 2006/03/29 18:32:46 gascuel Exp $
#

TEMPLATE= app
TARGET  = demo

CONFIG -= release debug
CONFIG *= release qt
win32: CONFIG *= windows
win32: LIBS *= $${QMAKE_LIBS_QT_ENTRY}

# Make it use the installed plugin, by default:
!static-plugin: CONFIG += no-static-plugin

!include( rules.pri )	: error( Unable to find rules.pri )

# In static-plugin mode, the TiffIO code is embebed into the app,
# making it easier to distribute. So we have to generate code
# that register the plugin at startup.
!no-static-plugin {
    # Add TiffIO sources :
    !include( TiffIO.pri )	: error( Unable to find TiffIO.pri )

    # Beware : name changes with Qt 4.1 :
    qt4: DEFINES += QT_STATICPLUGIN=1
    qt3: DEFINES += Q_STATIC_PLUGIN=1
}

SOURCES += demo.cpp

qt3 : FORMS += TiffIODemo.ui
qt4 {
    HEADERS += TiffIODemo4.h
    FORMS   += TiffIODemo4.ui
}
