# test.pro : Self test for the TiffIO plugin.
#
# $Id: test.pro,v 1.9 2006/04/05 11:21:50 gascuel Exp $
#

TEMPLATE= app
TARGET  = test

CONFIG -= release Release
CONFIG *= debug qt
win32: CONFIG *= console

!include( rules.pri )	: error( Unable to find rules.pri )

# Generate code to register the codec at application startup:
!no-static-plugin {
    # Add TiffIO sources :
    !include( TiffIO.pri )	: error( Unable to find TiffIO.pri )

    # Beware : name changes with Qt 4.1 :
    qt4: DEFINES += QT_STATICPLUGIN=1
    qt3: DEFINES += Q_STATIC_PLUGIN=1
}

SOURCES += test.cpp

# Make sure make install will run test:
test.path = .
test.extra = ./test
INSTALLS = test
